ilivalidator 1.15.0 (2025-12-29)
--------------------------------
- new options --scope and --refmapping to evaluate reference data
- Validator: show only one "first pass" message with refdata
- Validator: Fixes uniqueness check if target object is external (#448)
- Validator: allObjects() performance improvements
- fix NPE with --singlePass (#452)
- Validator: ILI2.4 fix Validator.getValueFromObjectPath() with list of simple values
- Validator: ILI2.4 fix INTERLIS.elementCount() with list of simple values (#445)
- Validator: validate existence constraints only if all objects accessible
- Validator: validate existence constraints to referenceData (if all objects accessible)
- new functions model Elements_V1_0 
- new FUNCTION ObjectPool_V1_0.filter()
- new FUNCTION ObjectPool_V1_0.allObjects()
- new FUNCTION DMAVTYM_Topologie_V1_1.coversWithTolerance()
- new FUNCTION DMAVTYM_Topologie_V1_1.hasGeometrySameControlPoints()
- new FUNCTION DMAVTYM_Topologie_V1_1.isGeometrySpatiallyEqual()
- new FUNCTION DMAVTYM_Topologie_V1_1.isInside()
- new FUNCTION DMAVTYM_Topologie_V1_1.pointInPoints()
- Validator: support new standard meta-attrs category, message (#386)
- iox-ili-1.24.4
- ili2c-5.6.8

ilivalidator 1.14.9 (2025-08-05)
--------------------------------
- fix java.io.FileNotFoundException with version 1.14.8 (#450)

ilivalidator 1.14.8 (2025-08-04)
--------------------------------
- Validator: new options mandatoryBaskets, optionalBaskets, bannedBaskets (#433)
- Validator: report error when validating INTERLIS 2.4 translated XTF
- Validator: show basket end state and/or source file version/md5
- Validator: ILI2.3 fix validation of a repeated attribute (#446)
- Validator: support data files with http/https URL
- Validator: skip validation of reference data (#437)
- iox-ili-1.24.1
- ili2c-5.6.6


ilivalidator 1.14.7 (2025-05-07)
--------------------------------
- Validator: ILI2.4 fix the outer and inner edges must not be coded as a single line (#442)
- Validator: Falsch codierte Donut-Polygone werden nicht erkannt (#429)
- new option --simpleBoundary to allow only simple lines as polygon boundary lines (#331)
- iox-ili-1.24.0
- ili2c-5.6.4

ilivalidator 1.14.6 (2025-04-08)
--------------------------------
- fix missing index in error log for list/bag of simple types (#440)
- fix object path evaluation with mixed case INTERLIS.UUIDOID (#416)
- fix IllegalArgumentException with plausibility constraint (#441)
- fix wrong object reported in set constraint error (#438)
- iox-ili-1.23.5

ilivalidator 1.14.5 (2025-01-14)
--------------------------------
- Xtf23Reader: fix xml whitespace/comment reading in alias table (#431)
- Xtf32Reader: fix missing object linenumber (#432)
- Validator: ILI2.4 fix reference attributes at class level not evaluated (#434)
- Validator: Inherited association is not evaluated (#422)
- iox-ili-1.23.4
- ili2c-5.6.3

ilivalidator 1.14.4 (2024-12-04)
--------------------------------
- fix INTERLIS.elementCount(undefined attribute) (#430)
- Xtf23: use Xtf23Reader by default
- ili2c-5.6.2
- iox-ili-1.23.3

ilivalidator 1.14.3 (2024-08-16)
--------------------------------
- Validate VIEW in non-validation models (#324)
- XTF: AREA Refactoring (#384)
- XTF: accept valid AREA overlaps (#366) 
- support DMAVTYM_Topologie_V1_0 covers function
- support where conditions (selections) in projection views (#408)
- iox-ili-1.23.1
- ili2c-5.5.4

ilivalidator 1.14.2 (2024-06-19)
--------------------------------
- iox-ili-1.23.0
- ili2c-5.5.3

ilivalidator 1.14.1 (2023-12-29)
--------------------------------
- implement Math_V2, Text_V2 (#375)
- fix evaluation of multiple constraints on associations (#390)
- GUI: skip logging errors to log window if to many errors (#259)
- add --csvlog (#403)
- iox-ili-1.22.1
- ili2c-5.4.1


ilivalidator 1.14.0 (2023-12-06)
--------------------------------
- ILI2.4 Constraints zu Domains (#378)
- ILI2.4 validate generic coords with concrete domain (#354)
- ILI2.4 Add (BASKET) support for UNIQUE and SET CONSTRAINTS (#379)
- ILI2.4 Evaluation Expressions with +,-,*,/,=> (#380)
- Xtf24Reader: read reference attributes  (#395)
- supply runtime paramters at cmdline (#383)
- ili2c-5.4.0
- iox-ili-1.22.0

ilivalidator 1.13.3 (2023-04-24)
--------------------------------
- fix UNIQUE mixed case INTERLIS.UUIDOID (#371)
- fix references with mixed case INTERLIS.UUIDOID (#370)
- log/report JRE Version (#369)
- iox-ili-1.21.18

ilivalidator 1.13.2 (2023-02-22)
--------------------------------
- Validator: PlausibilityConstraint: add calculated value to log (#367)
- Validator: fix LIST OF / BAG OF NumericType
- Validator: fix  xtflog duplicate coord shows different coordinates in <message> and <geometry> (#353)
- iox-ili-1.21.17

ilivalidator 1.13.1 (2023-01-23)
--------------------------------
- ILI2.4 support LIST OF / BAG OF primitive type (#348)
- ILI2.4 Vereinfachung des Umgangs mit Zeit (#349)
- ILI2.4 MULTI-Geometrien (#347)
- ILI2.4 validate MultiArea/MultiSurface topology (#347)
- A TRANSLATION OF model must not define new types, but only an alternative transfer format (#361)
- skip polygon topology validation if basic checks fail 
- iox-ili-1.21.16

ilivalidator 1.13.0 (2022-12-30)
-----------------------------
- fix unknown --verbose/wrong number of arguments (#365) 
- support ilidata:datasetId as --config file argument (#290)
- implement --metaConfig (#290)
- iox-ili-1.21.15
- ili2c-5.3.2

ilivalidator 1.12.1 (2022-11-01)
-----------------------------
- Skip attribute AREA validation if surface invalid (#296)
- API: Validator.getStatistics() added
- iox-ili-1.21.13
- ili2c-5.3.0

ilivalidator 1.12.0 (2022-08-24)
-----------------------------
- new option --logtime to include timestamps in log file
- new option --singlePass to skip any validations that require a second pass
- allObjectsAccessible in config file not working (#350)
- support ilidata:basketId as file argument (#199)
- iox-ili-1.21.12
- ili2c-5.2.8

ilivalidator 1.11.14 (2022-04-29)
-----------------------------
- fix: objectCount() throws NPE (#337)
- fix: Constraintauswertung bei Aufzaehltypen 'ALL OF' nicht moeglich (#300) 
- fix: INTERLIS.areAreas() does not find overlap (#284) 
- iox-ili-1.21.10
- ili2c-5.2.6

ilivalidator 1.11.13 (2021-12-28)
-----------------------------
- API: Validator.getModel() added
- fix: ignore exception, if model can not be read from data file
- fix: keep explicitly defined user functions/readers
- fix: Use of foreign structure in a catalog is not reported (#328)
- ili2c-5.2.5
- iox-ili-1.21.9

ilivalidator 1.11.12 (2021-11-10)
-----------------------------
- Cannot copy xtf path to log path anymore (#321)
- check uniqueness of TIDs across the whole file (ilivalidator#320)
- validate that an embedded association is not encoded as a standalone link object
- support custom IoxReaders
- check-repo-data: NPE if file doesn't exist in repository
- check-repo-data: support --log parameter
- iox-ili-1.21.8

ilivalidator 1.11.11 (2021-09-13)
-----------------------------
- Remember dialog size and location (#247)
- --check-repo-data continues validation (#314)
- drag and drop for data files (#230)
- new tab "Hilfe" (#279)
- reference attrs in sub-structures are not validated (#319)
- XMLDate has to be checked stronger (YYYY-MM-DD) (#197)
- ilidata repo tools:  use proxy settings
- ili2c-5.2.3
- iox-ili-1.21.7

ilivalidator 1.11.10 (2021-04-30)
-----------------------------
- implement INTERLIS RunTimeParameterDef (#221) 
- remove static reference to GUI (Swing) classes from Main class (#265)
- support Ahead-of-Time ilivalidator extension functions (#222)
- report tids/attrpath in areAreas() function (#241)
- added native-image config
- iox-ili-1.21.6
- ili2c-5.2.2
- ehibasics-1.4.1
- iox-api-1.0.4

ilivalidator 1.11.9 (2020-12-28)
-----------------------------
- fix check-repo-data fails with java.io.FileNotFoundException (#291)
- fix --createIliData fails with NPE if file in base folder (#292)
- Log-Faehigkeit der INTERLIS.areArea()-Funktion (#240)
- ili2c-5.1.5
- iox-ili-1.21.4

ilivalidator 1.11.8 (2020-10-02)
-----------------------------
- fix java.io.NotSerializableException (#280)
- ili2c-5.1.4
- iox-ili-1.21.3

ilivalidator 1.11.7 (2020-09-29)
-----------------------------
- ili2c-5.1.3
- iox-ili-1.21.2
- log --modeldir value as modeldir (#256) 
- Overlaying AREA not detected (#263)
- ignore polygon building errors if defaultGeometryTypeValidation="off"
- improve error messages in INI-file parsing (#271)
- wrongly reports duplicate TIDs (#266)
- Attempting to disable geometry validation with no success (#272)

ilivalidator 1.11.6 (2020-05-01)
-----------------------------
- fails to lookup ili24 model if xtf24 transfer file (#239)
- Check Base64 input character (#246)
- No object found with OID null (#249)
- iox-ili-1.21.0
- ili2c-5.1.1

ilivalidator 1.11.5 (2020-04-01)
-----------------------------
- Missing check when write to "unwriteable" log-file (#228)
- NPE with ili23 / RoadsExgm2ien_Symbols-20160121.xml (#231)
- ArrayIndexOutOfBoundsException with n-ary association (#232)
- Xtf24: wrong xmlns for extended attributes (#235)
- Xtf24: fails to read STRUCTUREs defined at model level (#236)
- Xtf24: missing line number in messages (#237)
- Xtf24: fails to read ref of embedded assoc with attrs (#238)
- GUI: "Job done" message in GUI (#234)
- GUI: scroll log area to end (#234)
- ili2c-5.0.8
- ehibasics-1.3.0
- iox-ili-1.20.18

ilivalidator 1.11.4 (2020-03-02)
-----------------------------
- Command line: use options without a data-file (#223)
- java.lang.NullPointerException when starting filelist (#224)
- Unique constraints violation throws NPE (ili1) (#225)
- iox-ili-1.20.17
- ili2c-5.0.6

ilivalidator 1.11.3 (2019-12-23)
-----------------------------
- Unable to detect out model name for ili22 (#214)
- NPE when reference to main table is missing in surface table (ili1) (#213)
- Error: polygons overlay (#202)
- iox-ili-1.20.15

ilivalidator 1.11.2 (2019-11-08)
-----------------------------
- fix objectCount(UNDEFINED) (#203)
- add User+start date/time to log
- iox-ili-1.20.14

ilivalidator 1.11.1 (2019-09-20)
-----------------------------
- fails to report superfluous TIDs (#201)
- ili2c-5.0.2
- iox-ili-1.20.13

ilivalidator 1.11.0 (2019-04-03)
-----------------------------
- incomplete attribute path in error message
- new config parameter to report inconsistent model version
- new function --check-repo-data
- new function --updateIliData
- new function --createIliData
- GUI: create menu items for cmdline options
- localize validation messages
- fixed: Xtflog contains not all messages
- fixed: invalid ring lines Error - failed to build polygons
- fixed: Constraints in association: compare objects not possible
- iox-ili-1.20.11
- ili2c-5.0.0

ilivalidator 1.10.0 (2018-12-09)
-----------------------------
- GUI: use model names as additionalModels
- GUI: add "new..." config file button
- Error message addressed wrong basket
- implement Math funcitons
- fixed msg_(language) support
- use keymsg in UNIQUE constraint
- implement INTERLIS_ext functions
- fixed CCW calculation if two half circles with horizontal straights
- use attrPath in all validateAttribute messages
- validate ALL OF enumerations
- validate formatted type
- validate UUID if used as BID
- validate STANDRADOID
- validate TEXT OID
- validate basket element name
- validate Contsraints in embedded associations
- validate UNIQUE with forward references
- support remote data/catalogue files
- evaluate object paths with forward references
- fix == with structures
- report superflous attributes in embedded associations
- validate that a BID is different from TIDs
- switch config file reader to pure ini file syntax
- improve temporary file size
- iox-ili-1.20.10
- ili2c-4.7.10

ilivalidator 1.9.3 (2018-09-10)
-----------------------------
- validate BID/TID value syntax
- fixed strange error message if surface line table without reference
- validate URI datatype
- fixed wrong line number of first object in a table 
- support disableRounding
- fixed validation of number of reference properties
- fixed quoted parameter names in TOML file
- add PipelinePool to Settings so that custom functions can use it
- GUI: improve open fileselector(*.xtf and *.xml together)
- iox-ili-1.20.9

ilivalidator 1.9.2 (2018-07-05)
-----------------------------
- fixed: skip geometry errors in Itf2Reader if defaultGeometryTypeValidation="off"
- iox-ili-1.20.7
- ili2c-4.7.9

ilivalidator 1.9.0 (2018-06-26)
-----------------------------
- added: --disableConstraintValidation
- iox-ili-1.20.5
- ili2c-4.7.8

ilivalidator 1.8.1 (2018-03-09)
-----------------------------
- improved performance
- fixed %JAR_DIR resolution

ilivalidator 1.8.0 (2018-03-02)
-----------------------------
- improved performance
- validate UNIQUE (LOCAL) against current object (and not all)
- fixed %JAR_DIR resolution
- fixed disableAreaValidation in toml not working
- iox-ili-1.20.4

ilivalidator 1.7.0 (2018-02-08)
-----------------------------
- iox-ili-1.20.2
- ili2c-4.7.7

ilivalidator 1.6.0 (2017-12-29)
-----------------------------
- added createReader() template method to high level API
- fixed: ilidir setting from GUI not used 
- added object statistics to log 
- iox-ili-1.20.1
- ili2c-4.7.6

ilivalidator 1.5.0 (2017-10-20)
-----------------------------
- added: --allowItfAreaHoles (only ITF)
- iox-ili-1.19.8
- ili2c-4.7.4

ilivalidator 1.4.0 (2017-08-24)
-----------------------------
- changed default --modeldir to %ITF_DIR;http://models.interlis.ch/;%JAR_DIR/ilimodels
- set value of %JAR_DIR to folder of ilivalidator.jar
- added: new option to assume all objects are known to the validator
- added: iox-ili 1.19.6 (2017-08-24)
- fixed TranslateToOrigin: failed if dest attribute name equals source attrname
- fixed TranslateToTranslation: failed if dest attribute name equals source attrname
- added CsvReader
- added GmlReader
- added Xtf24Reader
- added addGenericReader

ilivalidator 1.3.0 (2017-06-17)
-----------------------------
- added: support multiple input files
- added: --skipPolygonBuilding (only ITF)
- added: --multiplicityOff
- fixed: wrong error message "doItfOidPerTable!=false" / save only persistent settings to ${HOME}/.ilivalidator
- iox-ili-1.19.0 (2017-06-17)
- ili2c-4.7.3

ilivalidator 1.2.1 (2017-04-20)
-----------------------------
- iox-ili 1.18.1 (2017-04-20)
- validator: fixed implementation of uniqueness constraint

ilivalidator 1.2.0 (2017-04-19)
-----------------------------
- iox-ili 1.18.0 (2017-04-19)
- keep/save last directory of file selector
- iox-ili: fixed: missing custom functions should not report an error
- validator: added: implement UNIQUE (LOCAL)
- validator: added: implement UNIQUE WHERE expression

ilivalidator 1.1.0 (2017-04-05)
-----------------------------
- iox-ili 1.16.0-master (2017-04-05)
- validator: fixed: switching constraint check off
- validator: fixed: role EXTERNAL handling in cardinality and reference
- validator: optimized: constraint error messages
- validator: added: new option --forceTypeValidation
- validator: added: new option --disableAreaValidation

ilivalidator 1.0.0 (2017-03-10)
-----------------------------
- iox-ili 1.14.0-feature/validator1 (2017-03-10)
- validator: changed API of user defined functions
- validator: added: validate plausibility constraints
- validator: added: evaluate user defined functions
- validator: added: enable user defined error messages
- validator: added: get message in specific validation if configuration off
- validator: fixed: unique constraint not checked
- validator: fixed: custom functions with object collections
- validator: fixed: missed errors in xtf log file
- validator: fixed: evaluation of sub-enum constants
- validator: improved/fixed topology validation
- validator: optimized: validate external/additional constraint
- validator: optimized: performance

ilivalidator 0.10.0 (2017-02-10)
-----------------------------
- iox-ili 1.14.0-feature/validator1
- validator: optimized unique TID/OID check
- validator: added functions len, lenM, trim, trimM, isEnumSubVal, inEnumRange, objectCount(ALL),
			 objectCount(Role), elementCount, myClass, isOfClass, isSubClass, areArea
- validator: added handling if function is not yet implemented
- validator: added set constraints
- validator: added infoLogs and traceLogs
- validator: added additional constraints

ilivalidator 0.9.0 (2017-01-13)
----------------------------------------------
- iox-ili-1.14.0-feature/validator1
- validator: optimized unique TID/OID check
- validator: optimized performance
- validator: added AREA/SURFACE topology validation
- validator: added switch off existence, mandatory constraints and return warning instead of alert
- validator: added switch off attribute cardinality and return warning instead of alert
- validator: added role handling if role is EXTERNAL

ilivalidator 0.7.0 (2016-12-29)
----------------------------------------------
- iox-ili-1.13.7-feature/validator1
- validator: fixed cardinality fault if ili1.0
- validator: validate POLYLINE topology
- validator: optimized object pool

ilivalidator 0.6.0 (2016-12-21)
----------------------------------------------
- iox-ili-1.13.6-feature/validator1
- validator: fixed if cardinality is N, show "*" (UNBOUND) is error message 
- validator: validate mandatory constraint in NOT, OR, AND, DEFINED, UNDEFINED
- validator: validate mandatory constraint in ==, !=, <>, <, <=, >, >= of attribute and attribute path

ilivalidator 0.5.0 (2016-12-12)
-------------------------------
- iox-ili-1.13.5-feature/validator1
- validator: fixed OID uniqueness per table in ITF

ilivalidator 0.4.0 (2016-12-01)
-------------------------------
- iox-ili-1.13.4-feature/validator1
- validator: validate unique constraint
- validator: validate cardinality in associations
- validator: validate existence constraint
- validator: validate reference type
- validator: validate OID/TID uniqueness
- validator: validate target class in associations

ilivalidator 0.3.0 (2016-09-05)
-------------------------------
- iox-ili-1.13.2
- validator: validate DATE, BOOLEAN, XMLDate, XMLDateTime, XMLTime, UUIDOID
- validator: validate OID AS UUIDOID
- validator: added global config section [PARAMTER] with entry validation="off"

ilivalidator 0.2.1 (2016-08-22)
-------------------------------
- validator: fix mandatory check if attr type is a domain def
- iox-ili-1.13.0

ilivalidator 0.2.0 (2016-07-08)
-------------------------------
- added localizable GUI
- read config from ili metaattrs
- added TextType, NumericType, EnumerationType validation
- ili2c-4.5.23
- iox-ili-1.12.0

ilivalidator 0.1.0 (2016-06-15)
-------------------------------
- initial coding/release
